<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<clay:management-toolbar
	managementToolbarDisplayContext="<%= new JournalSelectArticleTranslationsManagementToolbarDisplayContext(request, liferayPortletRequest, liferayPortletResponse, journalDisplayContext) %>"
/>

<aui:form cssClass="container-fluid container-fluid-max-xl" name="fm">
	<liferay-ui:search-container
		id="articleTranslations"
		searchContainer="<%= journalDisplayContext.getArticleTranslationsSearchContainer() %>"
	>
		<liferay-ui:search-container-row
			className="com.liferay.journal.web.internal.util.JournalArticleTranslation"
			keyProperty="languageId"
			modelVar="articleTranslation"
		>
			<liferay-ui:search-container-column-text
				name="language"
				truncate="<%= true %>"
			>
				<span class="align-items-center d-flex">
					<clay:icon
						aria-label="<%= HtmlUtil.escape(LocaleUtil.getLongDisplayName(articleTranslation.getLocale(), Collections.emptySet())) %>"
						cssClass="mt-0"
						symbol="<%= articleTranslation.getLanguageTag() %>"
						title="<%= HtmlUtil.escape(LocaleUtil.getLongDisplayName(articleTranslation.getLocale(), Collections.emptySet())) %>"
					/>

					<span class="ml-1"><%= HtmlUtil.escape(LocaleUtil.getLongDisplayName(articleTranslation.getLocale(), Collections.emptySet())) %></span>
				</span>
			</liferay-ui:search-container-column-text>

			<liferay-ui:search-container-column-text
				cssClass="text-center"
				name="default"
			>
				<c:if test="<%= articleTranslation.isDefault() %>">
					<clay:icon
						symbol="check-circle"
					/>
				</c:if>
			</liferay-ui:search-container-column-text>
		</liferay-ui:search-container-row>

		<liferay-ui:search-iterator
			displayStyle="list"
			markupView="lexicon"
		/>
	</liferay-ui:search-container>
</aui:form>